#include <iostream>
#include <random>

/*
  Exemple d'utilisation du generateur Mersenne Twister. Le type std::mt19937 n'est defini que dans le standard C++ 11,
  par consequent, la compilation de ce programme avec g++ se fait en ajoutant l'option -std=c++11
*/


double alea()
{
  static std::mt19937 generateur(2356); // 2356 : graine du generateur.
  /*
	Relancer le meme programme renverra la meme suite de nombres,
	mais un programme avec une autre graine renverra une suite differente.
  */
  
  return generateur()/(double)generateur.max();
  // generateur.max() est la valeur maximale pouvant etre renvoyee. Ici, alea renvoie une variable uniforme sur [0,1].
}



int main(void)
{
  for (int i=0; i<10; i++)
	std::cout << alea() << std::endl;

  return 0;
  
}
